%global pkg_name pyqt5-sip
%global pypi_name PyQt5_sip
%global _sip_api_major %%(echo %{version} | cut -d. -f1)
%global _sip_api_minor %%(echo %{version} | cut -d. -f2)
%global _sip_api %%(echo %{version} | cut -d. -f1-2)

Summary:        The sip module support for PyQt5
Name:           python-%{pkg_name}
Version:        12.12.2
Release:        3%{?dist}
License:        GPLv2 or GPLv3
URL:            https://www.riverbankcomputing.com/software/sip
Source0:        %{pypi_source}

BuildRequires:  gcc python3-devel

%description
The sip extension module provides support for the PyQt5 package.

%package -n     python3-%{pkg_name}
Summary:        The sip module support for PyQt5
Provides: python3-pyqt5-sip-api(%{_sip_api_major}) = %{_sip_api}

%description -n python3-%{pkg_name}
The sip extension module provides support for the PyQt5 package.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check

%files -n python3-%{pkg_name}
%doc README
%{python3_sitearch}/PyQt5_sip*
%{python3_sitearch}/PyQt5/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.12.2-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.12.2-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 12.12.2-1
- update to 12.12.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.12.1-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.12.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 20 2023 Shuo Wang <abushwang@tencent.com> - 12.12.1-1
- init build 
